function [] = ml_assert_posscalar(value, name)
%ML_ASSERT_POSSCALAR Checks if a given value is a positive, real scalar.
%
% DESCRIPTION:
%   This function checks if a given value is a real, positive scalar
%   value and throws an error if not.
%
% SIGNATURE:
%   ML_ASSERT_POSSCALAR(value)
%   ML_ASSERT_POSSCALAR(value, name)
%
% INPUT:
%   value - value, which shall be checked
%   name  - character array, used as parameter name in error handling
%
% OUTPUT:
%   ---

%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Affero General Public License as published
% by the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Affero General Public License for more details.
%
% You should have received a copy of the GNU Affero General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Copyright (C) 2006-2017 Peter Benner, Steffen W. R. Werner
%

if nargin < 2
    name = '';
else
    name = [' ' name];
end

ml_assert_scalar(value, name);

assert(value > 0, ...
    'MORLAB:data', ...
    'The parameter%s must be positive.', ...
    name);
