function [] = ml_addpath()
%ML_ADDPATH Add Matlab files of the MORLAB toolbox to search path.
%
% DESCRIPTION:
%   This function adds the folder structure of the MORLAB toolbox to the
%   Matlab search path. For a permanent installation, the resulting search
%   path has to be saved using the Set Path tool of Matlab.
%
%   Note: This routine only works, if the folder structure is still in the
%         original state.
%
% SIGNATURE:
%   ML_ADDPATH()
%
% INPUT:
%   ---
%
% OUTPUT:
%   ---

%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Affero General Public License as published
% by the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Affero General Public License for more details.
%
% You should have received a copy of the GNU Affero General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Copyright (C) 2006-2017 Peter Benner, Steffen W. R. Werner
%

% Determines path of this function.
[rootpath, ~, ~] = fileparts(mfilename('fullpath'));

% Add path of this function to search path.
addpath(rootpath);

% Add path of the check functions.
addpath(sprintf('%s/checks/', rootpath));

% Add path of demo scripts.
addpath(sprintf('%s/demos/', rootpath));

% Add path of scripts for generation of demo data.
addpath(sprintf('%s/demos/datascripts/', rootpath));

% Add path of demo data files.
addpath(sprintf('%s/demos/data/', rootpath));

% Add path of equation solver subroutines.
addpath(sprintf('%s/eqn_solvers/', rootpath));

% Add path of model order reduction routines.
addpath(sprintf('%s/mor/', rootpath));

% Add path of custom subroutines.
addpath(sprintf('%s/subroutines/', rootpath));
